Documents
Restore Document
Restores a previously soft-deleted document
Restores a previously soft-deleted document
Path Parameters
id*string
Document ID
Query Parameters
expand?|||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (area)
Response Body
application/json
curl -X POST "https://example.com/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/restore"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publicId": "string", "name": "string", "slug": "string", "visibility": "string", "createdById": "string", "lastEditedById": "string", "lastEditedAt": "2019-08-24T14:15:22Z", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "deletedById": "string", "description": { "html": "string", "markdown": "string" }, "area": { "id": "string", "name": "string", "publicId": "str" }}